c 9.2.01 MM: made it a func (was sub) returining the ret code of ini_pixlib_0
c this piece is originally from AV, changes by JCM

      function ini_pixlib (aimpoint, fpsys)
      implicit none
      character*(*) aimpoint, fpsys
      integer ini_pixlib
      integer*2 ini_pixlib_0

      character*80 aim, fp
      integer lnblnk, i

      aim = aimpoint
      fp  = fpsys

      i = lnblnk(aim)+1
      aim(i:i)=char(0)
      i = lnblnk(fp)+1
      fp(i:i)= char(0)
      
      ini_pixlib=ini_pixlib_0 (aim,fp) 
c                (C function, see file pixlib_interface.c)

      end

